Your browser is NOT outdated

Today Netscape 8 was released; so I went to to download it. I was automatically redirected to a detour page, with this message [click on image for the full page]:

I’m using Firefox 1.0.4. Netscape 8 is based on Firefox 1.0.3.
Folks, if you get this message, don’t believe it. It’s a lie. The only browser detection script being used is one that checks to see if you are already using Netscape 8.

As a matter of fact, if you’re using Netscape 8, your browser is outdated.

1 Response

  1. Anonymous July 24, 2005 / 10:29 pm

    hate that vague misleading sales cr@p

Comments are closed.